Bug 156988 - [GTK] Overlay scrollbars with steppers enabled render incorrectly
Summary: [GTK] Overlay scrollbars with steppers enabled render incorrectly
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-25 12:18 PDT by Adrian Perez
Modified: 2016-04-27 23:19 PDT (History)
7 users (show)

See Also:


Attachments
Incorrect on-hover scrollbar using the Zukitre theme (5.47 KB, image/png)
2016-04-25 12:18 PDT, Adrian Perez
no flags Details
Patch (28.20 KB, patch)
2016-04-26 05:14 PDT, Carlos Garcia Campos
mcatanzaro: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Perez 2016-04-25 12:18:39 PDT
Created attachment 277265 [details]
Incorrect on-hover scrollbar using the Zukitre theme

When hovering with the mouse over a scrollbar in Epiphany (or any other application
which uses WebKitGTK+) with certain themes the scrollbar will get thicker than in
normal (non-hovered) state. This happens both with vertical and horizontal scrollbars,
and also with scrollbars nested in an <iframe> or in an HTML element which has
“overflow: scroll” in its CSS rules.

First I thought that this was an issue with the Zukitre theme, but the author
of the theme noticed that setting “-GtkScrollbar-has-backward-stepper” and
“-GtkScrollbar-has-forward-stepper” to “true” seems to cause this issue in
any theme. More info: https://github.com/lassekongo83/zuki-themes/issues/62
Comment 1 Carlos Garcia Campos 2016-04-25 23:16:23 PDT
I'm not surprised, steppers are untested, becase I had no idea how to test them :-P Has that Zukitre theme been adapted to new CSS in GTK 3.20 then?
Comment 2 Adrian Perez 2016-04-26 00:59:32 PDT
Yes, the Zukitre theme is updated for GTK+ 3.20 and uses steppers. You can
install it from the “master” branch o the Git repository for testing this.
Comment 3 Carlos Garcia Campos 2016-04-26 05:14:14 PDT
Created attachment 277356 [details]
Patch
Comment 4 Michael Catanzaro 2016-04-26 06:01:20 PDT
Please throw this into 2.12.2 unreviewed; I'll look at it for trunk maybe tomorrow.
Comment 5 Carlos Garcia Campos 2016-04-26 06:03:38 PDT
(In reply to comment #4)
> Please throw this into 2.12.2 unreviewed; I'll look at it for trunk maybe
> tomorrow.

No problem, I can wait for 2.12.2, I should also release 2.13.1 this week from trunk
Comment 6 Michael Catanzaro 2016-04-27 14:04:44 PDT
Comment on attachment 277356 [details]
Patch

The theme code has reached the point where I hardly understand it anymore. :(
Comment 7 Carlos Garcia Campos 2016-04-27 23:19:54 PDT
Committed r200173: <http://trac.webkit.org/changeset/200173>